<!DOCTYPE html>
<html><head>
<title>eric7.Plugins.VcsPlugins.vcsMercurial.PurgeExtension.ProjectHelper</title>
<meta charset="UTF-8">
<link rel="stylesheet" href="styles.css">
</head>
<body>
<a NAME="top" ID="top"></a>
<h1>eric7.Plugins.VcsPlugins.vcsMercurial.PurgeExtension.ProjectHelper</h1>
<p>
Module implementing the purge extension project helper.
</p>

<h3>Global Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Classes</h3>
<table>
<tr>
<td><a href="#PurgeProjectHelper">PurgeProjectHelper</a></td>
<td>Class implementing the purge extension project helper.</td>
</tr>
</table>

<h3>Functions</h3>
<table>
<tr><td>None</td></tr>
</table>

<hr />
<hr />
<a NAME="PurgeProjectHelper" ID="PurgeProjectHelper"></a>
<h2>PurgeProjectHelper</h2>
<p>
    Class implementing the purge extension project helper.
</p>

<h3>Derived from</h3>
HgExtensionProjectHelper
<h3>Class Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Class Methods</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Methods</h3>
<table>
<tr>
<td><a href="#PurgeProjectHelper.__init__">PurgeProjectHelper</a></td>
<td>Constructor</td>
</tr>
<tr>
<td><a href="#PurgeProjectHelper.__hgPurge">__hgPurge</a></td>
<td>Private slot used to remove files not tracked by Mercurial.</td>
</tr>
<tr>
<td><a href="#PurgeProjectHelper.__hgPurgeAll">__hgPurgeAll</a></td>
<td>Private slot used to remove all files not tracked by Mercurial.</td>
</tr>
<tr>
<td><a href="#PurgeProjectHelper.__hgPurgeAllList">__hgPurgeAllList</a></td>
<td>Private slot used to list all files not tracked by Mercurial.</td>
</tr>
<tr>
<td><a href="#PurgeProjectHelper.__hgPurgeList">__hgPurgeList</a></td>
<td>Private slot used to list files not tracked by Mercurial.</td>
</tr>
<tr>
<td><a href="#PurgeProjectHelper.initActions">initActions</a></td>
<td>Public method to generate the action objects.</td>
</tr>
<tr>
<td><a href="#PurgeProjectHelper.initMenu">initMenu</a></td>
<td>Public method to generate the extension menu.</td>
</tr>
<tr>
<td><a href="#PurgeProjectHelper.menuTitle">menuTitle</a></td>
<td>Public method to get the menu title.</td>
</tr>
</table>

<h3>Static Methods</h3>
<table>
<tr><td>None</td></tr>
</table>


<a NAME="PurgeProjectHelper.__init__" ID="PurgeProjectHelper.__init__"></a>
<h4>PurgeProjectHelper (Constructor)</h4>
<b>PurgeProjectHelper</b>(<i></i>)
<p>
        Constructor
</p>

<a NAME="PurgeProjectHelper.__hgPurge" ID="PurgeProjectHelper.__hgPurge"></a>
<h4>PurgeProjectHelper.__hgPurge</h4>
<b>__hgPurge</b>(<i></i>)
<p>
        Private slot used to remove files not tracked by Mercurial.
</p>

<a NAME="PurgeProjectHelper.__hgPurgeAll" ID="PurgeProjectHelper.__hgPurgeAll"></a>
<h4>PurgeProjectHelper.__hgPurgeAll</h4>
<b>__hgPurgeAll</b>(<i></i>)
<p>
        Private slot used to remove all files not tracked by Mercurial.
</p>

<a NAME="PurgeProjectHelper.__hgPurgeAllList" ID="PurgeProjectHelper.__hgPurgeAllList"></a>
<h4>PurgeProjectHelper.__hgPurgeAllList</h4>
<b>__hgPurgeAllList</b>(<i></i>)
<p>
        Private slot used to list all files not tracked by Mercurial.
</p>

<a NAME="PurgeProjectHelper.__hgPurgeList" ID="PurgeProjectHelper.__hgPurgeList"></a>
<h4>PurgeProjectHelper.__hgPurgeList</h4>
<b>__hgPurgeList</b>(<i></i>)
<p>
        Private slot used to list files not tracked by Mercurial.
</p>

<a NAME="PurgeProjectHelper.initActions" ID="PurgeProjectHelper.initActions"></a>
<h4>PurgeProjectHelper.initActions</h4>
<b>initActions</b>(<i></i>)
<p>
        Public method to generate the action objects.
</p>

<a NAME="PurgeProjectHelper.initMenu" ID="PurgeProjectHelper.initMenu"></a>
<h4>PurgeProjectHelper.initMenu</h4>
<b>initMenu</b>(<i>mainMenu</i>)
<p>
        Public method to generate the extension menu.
</p>

<dl>

<dt><i>mainMenu</i> (QMenu)</dt>
<dd>
reference to the main menu
</dd>
</dl>
<dl>
<dt>Return:</dt>
<dd>
populated menu
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
QMenu
</dd>
</dl>
<a NAME="PurgeProjectHelper.menuTitle" ID="PurgeProjectHelper.menuTitle"></a>
<h4>PurgeProjectHelper.menuTitle</h4>
<b>menuTitle</b>(<i></i>)
<p>
        Public method to get the menu title.
</p>

<dl>
<dt>Return:</dt>
<dd>
title of the menu
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
str
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
</body></html>
